Page MenuHomePhabricator

[Story] making entities more visual - image in header
Open, MediumPublic

Description

As a user I want to get a quick overview of what an item is about. The header should give me this quick intro.
To make it easier to recognize what an item is about (and make it easier to spot mistakes in image data) we will show an image for an entity in the header.

We need to solve:

  • Which image to show? Go the same way as Special:Nearby and ArticlePlaceholder!
  • What to do with landscape vs portrait pictures?
  • What to do on property pages? Do they have images? They might have the logo of an institution.
  • What to do with entities that don't have an image?
  • How much hints do we want to give to how to change it?
  • Licensing requirements? We need to link to Commons?

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : master[WIP] Page image as image header

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Lydia_Pintscher raised the priority of this task from to Medium.
Lydia_Pintscher updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2015, 10:56 AM
  • Agree with the first question.
  • I think we need to go for a square cropped picture (just like Special:Nearby), left to the main label, description and aliases. This way the given information is always on the same place.
  • Allow the use of media properties on property pages and use their value (with the preference for the logo property).
  • Show a placeholder image, per the last sentence of the second question.
  • Just show a tooltip when hovering, allow uploading of a image like in the visual editor after clicking and give a list of media properties to choose from (by asking "What does this image show?").
  • Jup, when a image is shown just link to the image page. This is required by the license.

Change 264294 had a related patch set uploaded (by Jonas Kress (WMDE)):
[WIP] Page image as image header

https://gerrit.wikimedia.org/r/264294

Jonas added a subscriber: Jonas.EditedJan 18 2016, 5:15 PM

Change 264294 had a related patch set uploaded (by Jonas Kress (WMDE)):
[WIP] Page image as image header
https://gerrit.wikimedia.org/r/264294

You can test this patch on Wikidata.org by putting this to your common.js file

Change 264294 had a related patch set uploaded (by Jonas Kress (WMDE)):
[WIP] Page image as image header

https://gerrit.wikimedia.org/r/264294

Bene added a subscriber: Bene.Feb 2 2016, 6:53 PM

In my opinion we should first resolve T124045 and when we got a solution start working on it. That makes imo more sense than drafting some code and then discussing if we actually want it that way.

Jan_Dittrich added a subscriber: Jan_Dittrich.EditedJun 3 2016, 6:29 AM

I'd like to try out Jonas' linked common.js script. However, when trying to apply it at my test.wikidata account, I saw no effect (hoped for an image to appear at items) even on common items like Berlin

Sorry, it only works on items with image properties

Sorry, it only works on items with image properties

Jan_Dittrich added a comment.EditedJun 3 2016, 8:48 AM

For anyone who wonders what the patch does or what it looks like:


(added image property to Berlin on test.wikidata to demonstrate this)

…looks good so far. @Jonas What are open questions that the design team should review?

Izno added a subscriber: Izno.Jun 3 2016, 11:17 AM
  1. I agree with @Bene that the sister task should be resolved first.
  2. Regardless of that task's resolution, the proposed location in the above file attachment is horrible. I need the real estate to link wiki pages, not to look at a completely decorative image. This is not as relevant on the clients with info boxes because most users don't edit the infobox, they find the page edit button (not applicable on Wikidata) or a section edit button, which even for long info boxes isn't the same as our use case, where there is a dedicated button that is not pushed down the page.
  3. I thus predict we'll see even more questions of the type "how do I link x page?". That's a negative change for the WD community /and/ the broader interwiki community.
  4. In general, enough screen space is wasted with the huge boxes for statements. I believe there's already a task for that (or redesign of item UI in general), but I think it bears mentioning that already we're not happy with how item pages are designed.

If that patch goes live, I'll promptly and personally hide the image. I suspect more than a few others will have the same reaction.

Jan_Dittrich added a comment.EditedJun 9 2016, 12:50 PM

@Izno: Thanks for your feedback.

I think I understand your concerns – what I could not fully grasp was what 3. is about. In 3. you predict that more people will need to ask for instructions on how to link pages.

To create an interface that enables people to find out themselves how they can link, it would help me if you could write which pages people want to link and why they would have a harder time doing so after the image would be inserted.

Is this about people linking Wikipedia pages and the concern is, that they don't find the edit link in the sitelink-box?

Izno added a comment.Jun 25 2016, 3:23 PM

Is this about people linking Wikipedia pages and the concern is, that they don't find the edit link in the sitelink-box?

They won't be able to find the box in total, not just the "add link" button, if we move the box south. The primary mission for most people who are not Wikidata regulars is linking pages.

For Wikidata power users such as myself, I don't want to waste time scrolling down the page to get to the IW links.

Adding an image in that space is not desirable for both reasons.

Jan_Dittrich moved this task from Incoming to Review on the WMDE-Design board.Jul 26 2016, 7:52 AM
Restricted Application added a project: Design. · View Herald TranscriptJul 26 2016, 7:52 AM

@Jonas currently this issue seems to be stalled.
I would assume that there are good reasons for having such an image and as well for the comment that it is not in an ideal place currently. I talked to @Lydia_Pintscher; we wondered if, based on @adrianheine’s changes, we are now more flexible with the image position. Do you know if that is a valid assumption?

No, Adrians patches are only refactoring the JS code. The HTML structure is still the same.

Change 264294 abandoned by Jonas Kress (WMDE):
[WIP] Page image as image header

https://gerrit.wikimedia.org/r/264294

@Lydia_Pintscher @Jonas :
Is there any plan how we proceed with this? I was lazing around in our review column :-)

I am just waiting for the request making it a gadget.

I am just waiting for the request making it a gadget.

Jan_Dittrich moved this task from Review to Done on the WMDE-Design board.Sep 28 2016, 2:23 PM
Volker_E moved this task from Incoming to WMDE on the Design board.Jan 5 2017, 5:38 PM